/**
 * @file
 */

(function ($, Drupal) {

    'use strict';

    /**
     * @type {Drupal~behavior}
     */


    Drupal.behaviors.importantInformationFloatingContainerSidebar = {
        attach: function (context, settings) {

            // Look for the point at which to turn the position from absolute to fixed
            var sidebarYOffset =  drupalSettings.important_information.importantInformationFloatingContainerSidebar.sidebarYOffset;
            var behavior =  drupalSettings.important_information.importantInformationFloatingContainerSidebar.behavior;

            var fixedStart = jQuery('#block-importantinformationfloatingcontainersidebar').offset().top;

            // TODO: Update settings documentation with the fact that top is used not the offset value

            if ('absolute_fixed' == behavior) {

                window.onscroll = function(ev) {

                    var position = window.scrollY;
                    console.log('position: '+position+' || fixedStart:'+fixedStart);


                    //  Check  if the  Embedded  Bottom is viewable
                    if (position >= fixedStart ) {
                        // TODO: add support for updating fixedStart by breakpoint
                        // Time to make it fixed to the top
                        if (jQuery('#block-importantinformationfloatingcontainersidebar').css('position') == 'absolute') {
                            jQuery('#block-importantinformationfloatingcontainersidebar').css("top", 0).css("position", 'fixed');
                        }
                    }

                    if (position <=  fixedStart)  {
                        if (jQuery('#block-importantinformationfloatingcontainersidebar').css('position') == 'fixed') {
                           jQuery('#block-importantinformationfloatingcontainersidebar').css("top", fixedStart).css("position", 'absolute');
                        }
                    }



                };
            }

        }
    };

})(jQuery, Drupal);
