<?php

/**
 * @file
 * ImportantInformationController class.
 */

namespace Drupal\important_information\Controller;

use Drupal\Core\Ajax\AjaxResponse;
use Drupal\Core\Ajax\OpenModalDialogCommand;
use Drupal\Core\Controller\ControllerBase;

class ImportantInformationController extends ControllerBase {

    public function modal($name) {

        // Load content config.
        $config = \Drupal::config('important_information.content');
        $settings = \Drupal::config('important_information.settings');

        switch ($name) {
            case 'modal':
                $value = $config->get('important_information_value');
                $format = $config->get('important_information_format');
                $modal_width = $settings->get('modal_width').'%';
                $title = 'Modal title';        
                $options = [
                    'dialogClass' => 'popup-dialog-class',
                    'width' => $modal_width,
                ];
                break;
            case 'intro':
                $value = $config->get('important_information_intro_value');
                $format = $config->get('important_information_intro_format');
                $title = $config->get('acknowledgement_modal_title');
                $modal_width = $settings->get('ack_modal_width').'%';       
                $options = [
                    'dialogClass' => 'popup-dialog-class important-information-intro',
                    'width' => $modal_width,  
                ];
                break;
            case 'exit':
                $value = $config->get('exit_modal_value').'<button id="ok-button">Continue</button>';
                $format = $config->get('exit_modal_format');
                $modal_width = $settings->get('exit_modal_width').'%';
                $title = $config->get('exit_modal_title');
                $options = [
                    'dialogClass' => 'popup-dialog-class exit-dialog',
                    'width' => $modal_width,
                ];
                break;
        }
            
        $information = array(
        '#type' => 'processed_text',
        '#text' => $value,
        '#format' => $format,
        );

        $response = new AjaxResponse();
        $response->addCommand(new OpenModalDialogCommand(t($title), render($information), $options));

        return $response;
    }
}